This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 211038

Summary: AssertionError: Need to normalize /rt/files/tests/network/RelationshipTypeMgrTest.php!
Product: platform Reporter: tjchambers
Component: FilesystemsAssignee: Jaroslav Tulach <jtulach>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: 7.2   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter: 186910
Attachments: stacktrace

Description tjchambers 2012-04-11 17:53:54 UTC
Build: NetBeans IDE Dev (Build 201204100400)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.6-b01-413, Java(TM) SE Runtime Environment, 1.6.0_31-b04-413-11M3623
OS: Mac OS X

User Comments:
tjchambers: Was changeing the case on the file name




Stacktrace: 
java.lang.AssertionError: Need to normalize /rt/files/tests/network/RelationshipTypeMgrTest.php!
   at org.openide.filesystems.FileUtil.assertNormalized(FileUtil.java:140)
   at org.openide.filesystems.FileUtil.toFile(FileUtil.java:993)
   at org.netbeans.core.windows.view.ui.MainWindow$3.resultChanged(MainWindow.java:276)
   at org.openide.util.lookup.ProxyLookup$1Notify.run(ProxyLookup.java:181)
   at org.openide.util.lookup.ProxyLookup.setLookups(ProxyLookup.java:190)
   at org.openide.util.lookup.ProxyLookup.setLookups(ProxyLookup.java:126)
Comment 1 tjchambers 2012-04-11 17:54:00 UTC
Created attachment 118156 [details]
stacktrace
Comment 2 Stanislav Aubrecht 2012-04-12 08:57:50 UTC
Please provide steps to reproduce and reopen, thanks.
Comment 3 tjchambers 2012-04-12 13:30:51 UTC
Steps to reproduce:

- Click on the name of a file in the project pane that has an uppercase letter. 
- Lowercase one of the letters exactly (like "ABC" to "aBC")
- Hit return to accept the rename
- At that point I get the assertion report dialogue box.
Comment 4 Jaroslav Tulach 2012-04-26 14:47:34 UTC
If the change in case is done from inside the IDE, it will now work: ergonomics#f58d2bfac9d1
Comment 5 Quality Engineering 2012-05-02 10:04:47 UTC
Integrated into 'main-golden', will be available in build *201205020400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f58d2bfac9d1
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #211038: Clear the normalized cache when there is a change in the filesystems